/** definitions for buttons that get the click module functionality */
#include <caf/key_id.h>
#include <caf/click_detector.h>

/** Configure CONFIG_CAF_CLICK_DETECTOR_DEF_PATH="cc1_med_buttons_click_def.h" in prj.cnf to make this the click detector definition
 * Ensure that the CMakeList.txt of the app includes the dir where this file is (eg as 
 * zephyr_include_directories(
 *      configuration/${BOARD}
 * ))
*/

/* This structure enforces the header file is included only once in the build.
 * Violating this requirement triggers a multiple definition error at link time.
 */
const struct {} clicks_def_include_once;

// Note keyids are defined as col/row indexes from the buttons module
static const struct click_detector_config click_detector_config[] = {
        {
                .key_id = KEY_ID(0x00, 0x00),
                .consume_button_event = false,
        },
        {
                .key_id = KEY_ID(0x00, 0x01),
                .consume_button_event = false,
        },
        {
                .key_id = KEY_ID(0x00, 0x02),
                .consume_button_event = false,
        },
};
